<div class="page">
    <app-sidebar class="nav flex-column" [user]="user"  (isNav)="toggleNav($event)"></app-sidebar>
    <div class="{{isNav}}">
        <h3 class="mt-5 mb-5 text-center text-white">Hola {{user.name}}</h3>
        <div class="container">
            <div class="row">
                <div class="col-lg-4">
                    <mat-card>
                        <p>Horas trabajadas 
                            <span class="float-lg-right">
                                <mat-icon>
                                    access_time
                                </mat-icon>
                            </span>
                        </p>
                        <mat-card-content>
                            <p style="font-size: 25px">{{hours?.length}}</p>
                        </mat-card-content>
                    </mat-card>
                </div>
                <div class="col-lg-4">
                    <mat-card>
                        <p>Miembro desde
                            <span class="float-lg-right">
                                <mat-icon>
                                        calendar_today
                                </mat-icon>
                            </span>
                        </p>
                        <mat-card-content>
                            <p style="font-size: 25px">{{user?.createdAt | date:'medium'}}</p>
                        </mat-card-content>
                    </mat-card>
                </div>
                <div class="col-lg-4">
                        <mat-card>
                            <p>Tienda
                                <span class="float-lg-right">
                                    <mat-icon>
                                            store
                                    </mat-icon>
                                </span>
                            </p>
                            <mat-card-actions align="end">
                                <button mat-raised-button color="warn">Comprar</button>
                            </mat-card-actions>
                        </mat-card>
                </div>
            </div>
        </div>
    </div>
</div>